Subject: bug#37774: 27.0.50; new :extend attribute broke visuals of all themes and other packages

From: Andrey Orst <[email-masked]>
Date: Wed, 16 Oct 2019 11:12:44 +0300

these faces are forming visual interface, e.g. hunks in Magit are
rectangular regions with background color for entire width of the window
that can be folded. Code blocks in org mode are, ahem, blocks. Now those
blocks doesn't have anything like block visually.

On Wed, Oct 16, 2019, 10:53 Eli Zaretskii <[email-masked]> wrote:

> > From: Andrey Orst <[email-masked]>
> > Date: Wed, 16 Oct 2019 10:00:38 +0300
> >
> > Somewhat last checkout from master brought the change of face
> > attributes, adding new `:extend` attribute, which make all themes, and
> > packages like Magit display weirdly.  By this I mean that before the
> > change, some faces were set up to extend highlighting beyond EOL, but
> > now all of those faces are not doing this.  I've first reported this to
> > the theme package I'm using:
> > https://github.com/hlissner/emacs-doom-themes/issues/342 but I think
> > that this should be handled by emacs itself, because if not it will
> > result in the duplicated or extra code in themes fro different Emacs
> > versions.  This reddit post has some screenshots of what I mean:
> >
> https://www.reddit.com/r/emacs/comments/diahh1/emacs_27_update_changed_how_highlighted_lines/
>
> The screenshots you posted don't clearly explain the problem.  Some of
> them seem actually identical before and after the change, and with
> others I don't think I see the problem.
>
> So please explain what exactly is incorrect or "weird" in the visual
> appearance after the change.  Specifically, why the faces in question
> need to be extended past EOL?
>
> Thanks.
>